package it.isti.cnr.testlab.helloworldalgorithm;

import java.util.List;

import org.gcube.dataanalysis.ecoengine.configuration.AlgorithmConfiguration;
import org.gcube.dataanalysis.ecoengine.interfaces.ComputationalAgent;
import org.gcube.dataanalysis.ecoengine.processing.factories.TransducerersFactory;
import org.gcube.dataanalysis.ecoengine.test.regression.Regressor;

import org.junit.Test;

public class HelloWorldTest {
	
	@Test
	public void deploymentTest() throws Exception{
		System.out.println("Deployment Test Begin");
		List<ComputationalAgent> kStatistics = TransducerersFactory.getTransducerers(deploymentTestConfiguration());
		kStatistics.get(0).init();
		Regressor.process(kStatistics.get(0));
		kStatistics.get(0).shutdown();
		System.out.println("Deployment Test End");
	}
	
	private static AlgorithmConfiguration deploymentTestConfiguration () {
		AlgorithmConfiguration testConfiguration = Regressor.getConfig();
		testConfiguration.setAgent("HELLO_WORLD_ALGORITHM");
		testConfiguration.setParam("firstInputString", "Hello");
		testConfiguration.setParam("secondInputString", "World");
		return testConfiguration;	
	}
	
}